org.apache.felix.ipojo.manipulator.spi

## Class BindingContext

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.spi.BindingContext

    public class BindingContext
    extends Object

Author:
  Felix Project Team

### Field Summary

Fields
`static int` `NO_INDEX`

### Constructor Summary

Constructors
Constructor and Description
`BindingContext(ComponentWorkbench workbench, Reporter reporter, org.objectweb.asm.Type annotationType, org.objectweb.asm.tree.ClassNode node, ElementType elementType, int parameterIndex, Object visitor)`
`BindingContext(ComponentWorkbench workbench, Reporter reporter, org.objectweb.asm.Type annotationType, org.objectweb.asm.tree.FieldNode node, ElementType elementType, int parameterIndex, Object visitor)`
`BindingContext(ComponentWorkbench workbench, Reporter reporter, org.objectweb.asm.Type annotationType, org.objectweb.asm.tree.MethodNode node, ElementType elementType, int parameterIndex, Object visitor)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`org.objectweb.asm.Type` `getAnnotationType()`
`org.objectweb.asm.tree.ClassNode` `getClassNode()`
`ElementType` `getElementType()`
`org.objectweb.asm.tree.FieldNode` `getFieldNode()`
`org.objectweb.asm.tree.MethodNode` `getMethodNode()`
`Object` `getNode()` Deprecated.
`int` `getParameterIndex()`
`Reporter` `getReporter()`
`Object` `getVisitor()`
`ComponentWorkbench` `getWorkbench()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NO_INDEX

    public static final int NO_INDEX

See Also:
  Constant Field Values

### Constructor Detail

#### BindingContext

    public BindingContext(ComponentWorkbench workbench,
                          Reporter reporter,
                          org.objectweb.asm.Type annotationType,
                          org.objectweb.asm.tree.FieldNode node,
                          ElementType elementType,
                          int parameterIndex,
                          Object visitor)

#### BindingContext

    public BindingContext(ComponentWorkbench workbench,
                          Reporter reporter,
                          org.objectweb.asm.Type annotationType,
                          org.objectweb.asm.tree.MethodNode node,
                          ElementType elementType,
                          int parameterIndex,
                          Object visitor)

#### BindingContext

    public BindingContext(ComponentWorkbench workbench,
                          Reporter reporter,
                          org.objectweb.asm.Type annotationType,
                          org.objectweb.asm.tree.ClassNode node,
                          ElementType elementType,
                          int parameterIndex,
                          Object visitor)

### Method Detail

#### getWorkbench

    public ComponentWorkbench getWorkbench()

#### getFieldNode

    public org.objectweb.asm.tree.FieldNode getFieldNode()

#### getMethodNode

    public org.objectweb.asm.tree.MethodNode getMethodNode()

#### getClassNode

    public org.objectweb.asm.tree.ClassNode getClassNode()

#### getElementType

    public ElementType getElementType()

#### getParameterIndex

    public int getParameterIndex()

#### getReporter

    public Reporter getReporter()

#### getAnnotationType

    public org.objectweb.asm.Type getAnnotationType()

#### getVisitor

    public Object getVisitor()

#### getNode

    public Object getNode()

Deprecated.
This method is just to support the compatibility with the previous version. It returns an ASM node of the member on which the annotation is 'attached'. The type of the node depends on this element. It can be a `FieldNode`, a `MethodNode` or a `ClassNode`. It actually checks the current node and returns the first set ones in this order: field, method, class.

The type of the returned object can be determined using the `getElementType()` method. However it is recommended to use one of the following method: `getFieldNode()`, `getMethodNode()` or `getClassNode()`.

Returns:
  the node.